GNU nano 5.4                                                                                                      scan_rkh.sh
#!/bin/bash

PATH=$PATH:/usr/bin:/bin:/usr/sbin:/sbin:/usr/local/bin

LOGFILE="$(hostname)_rkhunter-$(date +'%Y-%m-%d').txt";
GOTIFY_MESSAGE="Scan init: **"`date +"%d/%m/%Y %H:%M:%S"`"**  \r"

#vars rkhunter
readonly TOKEN="<TOKEN_GOTIFY_APP>"

OUT=$(rkhunter -c -sk --rwo -l "./rkhunter.log")
if [ -n "$OUT" ]
then
  issues=$(echo "$OUT" | wc -l)
  mv "./rkhunter.log" "./$LOGFILE"

  # send log to logs public archive
  LOG_URL=$(sh ./utils/logger.sh "./$LOGFILE")
  # delete local log
  rm $LOGFILE

  GOTIFY_MESSAGE="${GOTIFY_MESSAGE} Scan end: **"`date +"%d/%m/%Y %H:%M:%S"`"**  \r"
  GOTIFY_MESSAGE="${GOTIFY_MESSAGE} There are **$issues** security issues  \r"
  GOTIFY_MESSAGE="${GOTIFY_MESSAGE} [LogFile]($LOG_URL)"

  sh ./utils/gotifypush.sh "RKH Scan $(hostname)" "$GOTIFY_MESSAGE" 5 $TOKEN
else
  echo "[rkhunter] system clean"
fi
